Index: trunk/LMDZ.MARS/libf/phymars/physiq_mod.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/physiq_mod.F	(revision 2348)
+++ trunk/LMDZ.MARS/libf/phymars/physiq_mod.F	(revision 2349)
@@ -3277,5 +3261,5 @@
 c        ----------------------------------------------------------
 
-         if(callthermos) then
+         if(callthermos) then 
 
             call WRITEDIAGFI(ngrid,"q15um","15 um cooling","K/s",
@@ -3299,13 +3283,4 @@
          endif  !(callthermos)
 
-            call WRITEDIAGFI(ngrid,"q15um","15 um cooling","K/s",
-     $           3,zdtnlte)
-            call WRITEDIAGFI(ngrid,"quv","UV heating","K/s",
-     $           3,zdteuv)
-            call WRITEDIAGFI(ngrid,"cond","Thermal conduction","K/s",
-     $           3,zdtconduc)
-            call WRITEDIAGFI(ngrid,"qnir","NIR heating","K/s",
-     $           3,zdtnirco2)
-
 c        ----------------------------------------------------------
 c        ----------------------------------------------------------
@@ -3317,32 +3292,34 @@
 c        Outputs of thermals
 c        ----------------------------------------------------------
-      if (calltherm) then
+         if (calltherm) then
+
 !        call WRITEDIAGFI(ngrid,'dtke',
-!     &                   'tendance tke thermiques','m**2/s**2',
-!     &                   3,dtke_th)
+!     &              'tendance tke thermiques','m**2/s**2',
+!     &                         3,dtke_th)
 !        call WRITEDIAGFI(ngrid,'d_u_ajs',
-!     &                   'tendance u thermiques','m/s',
-!     &                   3,pdu_th*ptimestep)
+!     &              'tendance u thermiques','m/s',
+!     &                         3,pdu_th*ptimestep)
 !        call WRITEDIAGFI(ngrid,'d_v_ajs',
-!     &                   'tendance v thermiques','m/s',
-!     &                   3,pdv_th*ptimestep)
+!     &              'tendance v thermiques','m/s',
+!     &                         3,pdv_th*ptimestep)
 !        if (tracer) then
-!          if (nq .eq. 2) then
-!            call WRITEDIAGFI(ngrid,'deltaq_th',
-!     &                       'delta q thermiques','kg/kg',
-!     &                       3,ptimestep*pdq_th(:,:,2))
-!          end if
-!        end if
+!        if (nq .eq. 2) then
+!        call WRITEDIAGFI(ngrid,'deltaq_th',
+!     &              'delta q thermiques','kg/kg',
+!     &                         3,ptimestep*pdq_th(:,:,2))
+!        endif
+!        endif
 
         call WRITEDIAGFI(ngrid,'zmax_th',
-     &                   'hauteur du thermique','m',
-     &                    2,zmax_th)
+     &              'hauteur du thermique','m',
+     &                         2,zmax_th)
         call WRITEDIAGFI(ngrid,'hfmax_th',
-     &                   'maximum TH heat flux','K.m/s',
-     &                   2,hfmax_th)
+     &              'maximum TH heat flux','K.m/s',
+     &                         2,hfmax_th)
         call WRITEDIAGFI(ngrid,'wstar',
-     &                   'maximum TH vertical velocity','m/s',
-     &                   2,wstar)
-      end if
+     &              'maximum TH vertical velocity','m/s',
+     &                         2,wstar)
+
+         endif
 
 c        ----------------------------------------------------------
@@ -3382,7 +3359,8 @@
 c
 c        CALL writeg1d(ngrid,1,fluxsurf_lw,'Fs_ir','W.m-2')
-c        CALL writeg1d(ngrid,1,tsurf,'tsurf','K')
-c        CALL writeg1d(ngrid,1,ps,'ps','Pa')
-c        CALL writeg1d(ngrid,nlayer,zt,'T','K')
+c         CALL writeg1d(ngrid,1,tsurf,'tsurf','K')
+c         CALL writeg1d(ngrid,1,ps,'ps','Pa')
+        
+c         CALL writeg1d(ngrid,nlayer,zt,'T','K')
 c        CALL writeg1d(ngrid,nlayer,pu,'u','m.s-1')
 c        CALL writeg1d(ngrid,nlayer,pv,'v','m.s-1')
@@ -3405,7 +3383,19 @@
      &                         0,wstar)
 
-         end if ! of if (calltherm)
-
-         call WRITEDIAGFI(ngrid,'w','vertical velocity'
+         co2col(:)=0.
+         if (tracer) then
+         do l=1,nlayer
+           do ig=1,ngrid
+             co2col(ig)=co2col(ig)+
+     &                  zq(ig,l,1)*(zplev(ig,l)-zplev(ig,l+1))/g
+         enddo
+         enddo
+
+         end if
+         call WRITEDIAGFI(ngrid,'co2col','integrated co2 mass'          &
+     &                                      ,'kg/m-2',0,co2col)
+         endif ! of if (calltherm)
+
+         call WRITEDIAGFI(ngrid,'w','vertical velocity'                 &
      &                              ,'m/s',1,pw)
          call WRITEDIAGFI(ngrid,"q2","q2","kg.m-3",1,q2)
@@ -3418,9 +3408,9 @@
          call WRITEDIAGFI(ngrid,"pplev","Pressure","Pa",1,zplev)
          call WRITEDIAGFI(ngrid,"rho","rho","kg.m-3",1,rho)
-         call WRITEDIAGFI(ngrid,"dtrad","rad. heat. rate",
+         call WRITEDIAGFI(ngrid,"dtrad","rad. heat. rate",              &
      &              "K.s-1",1,dtrad)
-         call WRITEDIAGFI(ngrid,'sw_htrt','sw heat. rate',
+        call WRITEDIAGFI(ngrid,'sw_htrt','sw heat. rate',
      &                   'w.m-2',1,zdtsw)
-         call WRITEDIAGFI(ngrid,'lw_htrt','lw heat. rate',
+        call WRITEDIAGFI(ngrid,'lw_htrt','lw heat. rate',
      &                   'w.m-2',1,zdtlw)
          call WRITEDIAGFI(ngrid,"co2ice","co2 ice thickness"
@@ -3428,5 +3418,5 @@
 
          if (igcm_co2.ne.0) then
-          call co2sat(ngrid*nlayer,zt,zqsatco2)
+          call co2sat(ngrid*nlayer,zt,zplay,zqsatco2)
            do ig=1,ngrid 
             do l=1,nlayer
@@ -3447,5 +3437,5 @@
 c         call WRITEDIAGFI(ngrid,"satuco2","vap in satu","kg/kg",1,
 c     &        satuco2)
-c         call WRITEDIAGFI(ngrid,"riceco2","ice radius","m"
+c         call WRITEdiagfi(ngrid,"riceco2","ice radius","m"
 c     &        ,1,riceco2)
 ! or output in diagfi.nc (for testphys1d)
@@ -3566,7 +3556,7 @@
      &                 * (zplev(1,l) - zplev(1,l+1)) / g
                if (hdo) THEN
-                 mtotD = mtotD +  zq(1,l,igcm_hdo_vap)
+                 mtotD = mtotD +  zq(1,l,igcm_hdo_vap) 
      &                 * (zplev(1,l) - zplev(1,l+1)) / g
-                 icetotD = icetotD +  zq(1,l,igcm_hdo_ice)
+                 icetotD = icetotD +  zq(1,l,igcm_hdo_ice) 
      &                 * (zplev(1,l) - zplev(1,l+1)) / g
                ENDIF !hdo
@@ -3576,5 +3566,5 @@
                    hdotot = hdotot+mtotD+icetotD
                ENDIF ! hdo
-
+                
 
              CALL WRITEDIAGFI(ngrid,'h2otot',
@@ -3620,5 +3610,5 @@
             CALL WRITEDIAGFI(ngrid,'DoH_vap',
      &                       'D/H ratio in vapor',
-     &                       ' ',1,DoH_vap)
+     &                       ' ',1,DoH_vap)  
             CALL WRITEDIAGFI(ngrid,'DoH_ice',
      &                       'D/H ratio in ice',
@@ -3715,5 +3705,5 @@
 
         ENDIF ! hdo
-
+     
         call WRITEDIAGFI(ngrid,"rice","ice radius","m",1,
      &                    rice)
@@ -3725,28 +3715,9 @@
               endif !clfvarying
 
-        ENDIF ! of IF (water)
-
-
-      ! co2clouds
-      if (co2clouds) then
-        call WRITEDIAGFI(ngrid,'mtotco2',
-     &                   'total mass of CO2, including ice surf',
-     &                   'kg/m2',0,mtotco2)
-
-        call WRITEDIAGFI(ngrid,'vaptotco2',
-     &                   'total mass of CO2 vapor',
-     &                   'kg/m2',0,vaptotco2)
-
-        call WRITEDIAGFI(ngrid,'zdtcloudco2',
-     &                   'temperature variation of CO2 latent heat',
-     &                   'K/s',3,zdtcloudco2)
-
-        call WRITEDIAGFI(ngrid,'icetotco2',
-     &                   'total mass of CO2 ice',
-     &                   'kg/m2',0,icetotco2)
-      end if
+         ENDIF ! of IF (water)
          
 ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
 ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
+
 
          zlocal(1)=-log(zplay(1,1)/zplev(1,1))* Rnew(1,1)*zt(1,1)/g
@@ -3765,20 +3736,4 @@
 
       END IF       ! if(ngrid.ne.1)
-
-      co2totB = 0. ! added by C.M.
-      do ig=1,ngrid
-        do l=1,nlayer
-          co2totB = co2totB + (zplev(ig,l)-zplev(ig,l+1))/g*
-     &           (pq(ig,l,igcm_co2)+pq(ig,l,igcm_co2_ice)
-     &      +(pdq(ig,l,igcm_co2)+pdq(ig,l,igcm_co2_ice))*ptimestep)
-        enddo
-        co2totB = co2totB + co2ice(ig)
-      enddo
-
-      call WRITEDIAGFI(ngrid,'co2conservation',
-     &                   'Total CO2 mass conservation in physic',
-     &                   '%',0,(co2totA-co2totB)/co2totA)
-      call test_vmr(pq(:,:,igcm_co2), pdq(:,:,igcm_co2), ptimestep,
-     &               ngrid, nlayer, 'end physiq_mod')
 
 ! XIOS outputs
Index: trunk/LMDZ.MARS/libf/phymars/tcondco2.F90
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/tcondco2.F90	(revision 2348)
+++ trunk/LMDZ.MARS/libf/phymars/tcondco2.F90	(revision 2349)
@@ -8,5 +8,5 @@
 ! Condensation temperature for co2 ice; based on 
 ! the saturation in co2sat.F JA17
-!--------------------------------------------------
+!--------------------------------------------------i
 
 integer, intent(in) :: ngrid,nlay
@@ -14,10 +14,9 @@
 double precision, intent(out), dimension(ngrid,nlay):: tcond ! CO2 condensation temperature	(atm)
 double precision:: A,B,pco2
-real :: qco2
 integer:: ig,l
 
 A=dlog(1.382d12)
 B=-3182.48
-qco2=0.
+
 DO l=1,nlay
    DO ig=1,ngrid
